# (c) cavaliba.com - dataview



# ------------------------------
# site
# ------------------------------

# ------------------------------
# sitegroup
# ------------------------------

# ------------------------------
# app
# ------------------------------

# ------------------------------
# enumerate
# ------------------------------


# ------------------------------
# pipeline
# ------------------------------


# ------------------------------
# apikey
# ------------------------------


# ------------------------------
# dataview
# ------------------------------

- classname: _dataview
  keyname: _dataview_default
  target_class: _dataview
  is_enabled: True
  _action: init
  displayname: Data View default
  description: Default dataview for DataView
  content: |
    columns:
      - keyname
      - displayname
      - target_class
      - last_update




# ---------------------------------------- 
# Sirene
# ---------------------------------------- 


# -- public

- classname: _dataview
  keyname: sirene_public_default
  target_class: sirene_public
  displayname: Default
  _action: init
  is_enabled: True
  description: Default DataView for Sirene Public Pages
  content: |
    columns:
       - keyname
       - Severity:
            from: severity
       - displayname
       - Description:
            from: description
       - Default:
            from: is_default


# -- template 

- classname: _dataview
  keyname: sirene_template_default
  target_class: sirene_template
  displayname: Default
  _action: init
  is_enabled: True
  description: Default DataView for Sirene Templates
  content: |
    columns:
       - keyname
       - displayname
       - Category:
            from: category
       - Severity:
            from: severity
       - Hint:
            from: hint


# -- message

- classname: _dataview
  keyname: sirene_message_default
  target_class: sirene_message
  displayname: Default
  _action: init
  is_enabled: True
  description: Default DataView for Sirene Messages
  content: |
    columns:
       - keyname
       - displayname
       - Active:
            from: is_visible
       - Category:
            from: category
       - Severity:
            from: severity
       - Description:
            from: description


# ---------------------------------------- 
# Status Monitor
# ---------------------------------------- 



- classname: _dataview
  keyname: status_monitor_default
  displayname: Status Monitor Default
  is_enabled: True
  _action: init
  description: Status Monitors
  target_class: status_monitor
  content: |
    columns:
        - keyname
        - displayname
        - app
        - type
        - target
        - http_code
        - pattern 
        - timeout
        - schedule 

# ---------------------------------------- 
# dataview
# ---------------------------------------- 

- classname: _dataview
  keyname: ipam_vlan_default
  target_class: ipam_vlan
  displayname: Default
  is_enabled: true
  _action: init
  description: Default DataView for IPAM VLANs
  content: |
    columns:
       - keyname
       - displayname
       - description
       - vlan_family
       - vlan_id
       - subnet

- classname: _dataview
  keyname: ipam_subnet
  target_class: ipam_subnet
  displayname: Default
  is_enabled: true
  _action: init
  description: Default DataView for IPAM IP Subnets
  content: |
    columns:
       - keyname
       - subnet
       - description

# ---------------------------------------- 
# 
# ---------------------------------------- 


# ---------------------------------------- 
# 
# ---------------------------------------- 


# ---------------------------------------- 
# 
# ---------------------------------------- 


